Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkKitwareObjectFactory Class Reference

`#include <vtkKitwareObjectFactory.h>`

Inheritance diagram for vtkKitwareObjectFactory:

[legend]
Collaboration diagram for vtkKitwareObjectFactory:

[legend]
List of all members.

## Detailed Description

Object Factory for Kitware patented objects.

Date:
  2002/01/22 15:35:28

Revision:
  1.12

This is an object factory used to create Kitware patented objects. There is a KitwareFactory.dsp and KitwareFactory.dsw file to create the factory dll with the microsoft compiler. Once the Factory is created, put the resulting dll in VTK_AUTOLOAD_PATH.

See also:
  vtkObjectFactory

Created by:
  - Hoffman, Bill

CVS contributions (if > 5%):
  - Hoffman, Bill (77%)
  - Schroeder, Will (15%)
  - Martin, Ken (6%)

CVS logs (CVSweb):
  - .`h` (`/Patented/vtkKitwareObjectFactory.h)`
  - .`cxx` (`/Patented/vtkKitwareObjectFactory.cxx)`

Definition at line 48 of file vtkKitwareObjectFactory.h.

## Public Types
typedef vtkObjectFactory | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual const char * | GetVTKSourceVersion ()
## Static Public Methods
vtkKitwareObjectFactory * | New ()
int | IsTypeOf (const char *type)
vtkKitwareObjectFactory * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkKitwareObjectFactory ()
virtual vtkObject * | CreateObject (const char *vtkclassname)

## Member Typedef Documentation

typedef vtkObjectFactory vtkKitwareObjectFactory::Superclass

| Reimplemented from vtkObjectFactory. Definition at line 52 of file vtkKitwareObjectFactory.h.

## Constructor & Destructor Documentation

vtkKitwareObjectFactory::vtkKitwareObjectFactory | ( |  | ) | `[inline, protected]`

| Definition at line 56 of file vtkKitwareObjectFactory.h.

## Member Function Documentation

vtkKitwareObjectFactory* vtkKitwareObjectFactory::New | ( |  | ) | `[inline, static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Definition at line 51 of file vtkKitwareObjectFactory.h.

virtual const char* vtkKitwareObjectFactory::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObjectFactory.

int vtkKitwareObjectFactory::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObjectFactory.

virtual int vtkKitwareObjectFactory::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObjectFactory.

vtkKitwareObjectFactory* vtkKitwareObjectFactory::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObjectFactory.

void vtkKitwareObjectFactory::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Print ObjectFactory to stream. Reimplemented from vtkObjectFactory.

virtual const char* vtkKitwareObjectFactory::GetVTKSourceVersion | ( |  | ) | `[virtual]`

| All sub-classes of vtkObjectFactory should must return the version of VTK they were built with. This should be implemented with the macro VTK_SOURCE_VERSION and NOT a call to vtkVersion::GetVTKSourceVersion. As the version needs to be compiled into the file as a string constant. This is critical to determine possible incompatible dynamic factory loads. Implements vtkObjectFactory.

virtual vtkObject* vtkKitwareObjectFactory::CreateObject | ( | const char * | vtkclassname | ) | `[protected, virtual]`

| This method is provided by sub-classes of vtkObjectFactory. It should create the named vtk object or return 0 if that object is not supported by the factory implementation. Reimplemented from vtkObjectFactory.

The documentation for this class was generated from the following file:

- Patented/vtkKitwareObjectFactory.h